Subject: Re: dll questions
From: [email-masked] (R M Jolliffe)

12 Nov 1998 14:37:37 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Stephen R. Whiteley" <[email-masked]>
Cc: [email-masked]

Stephen R. Whiteley wrote:

> I'm new to Windows NT and Cygnus, but a long-time unix programmer.  I'm
> trying to port a unix application that has a separate shared library
> to NT via cygwin.  The problem is that the shared library calls functions
> in the main application, and I haven't figured out haw to link a dll
> that does this.
>
> Questions:
>   Is it even possible for a dll to call functions in the main application?
>
>   Is so how?
>
>   Is there a man page or docs for dlltool, dllwrap?
>
> Thanks for any input.
>
> Steve Whiteley
> Whiteley Research Inc.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

  Hi Stephen

For information on dlltool and dllwrap check out Mumit Khan's site
ftp://ftp.xraylith.wisc.edu/pub/khan/egcs/mingw32/misc/

There is a good readme and some examples.

Regards

Bob.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".